%global debug_package %{nil}

Name:       deepin-pdfium
Version:    1.0.2
Release:    1%{?dist}
Summary:    Development library for pdf on Deepin
License:    LGPL3
URL:        https://github.com/linuxdeepin/deepin-pdfium
Source0:    %{url}/archive/refs/tags/%{version}.tar.gz

BuildRequires:  cmake-rpm-macros
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qttools-devel
BuildRequires:  openjpeg2-devel
BuildRequires:  libchardet-devel
BuildRequires:  lcms2-devel
BuildRequires:  libjpeg-turbo-devel
BuildRequires:  libicu-devel
BuildRequires:  zlib-devel
BuildRequires:  gtest-devel
BuildRequires:  freetype-devel


%description
A library for parsing and editing and displaying PDF.

%package devel
Summary:    A libaray about PDF devel
Requires:   %{name} = %{version}-%{release}

%description -n %{name}-devel
A libaray that provides for parsing and editing and displaying PDF interface devel.

%prep
%autosetup

# lib -> lib64
sed -i 's|/lib|/%{_lib}|' src/src.pro

%build
export PATH=%{_qt5_bindir}:$PATH
%qmake_qt5 PREFIX=%{_prefix} deepin-pdfium.pro
%make_build


%install
%make_install INSTALL_ROOT=%{buildroot}


%check

%ldconfig_scriptlets


%files
%license LICENSES/*
%doc README.md README.zh_CN.md
%{_libdir}/lib%{name}.so*

%files devel
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Thu Oct 12 2023 liweigang <liweiganga@uniontech.com> - 1.0.2-1
- init: package init
